commit f5c0dda9552943d3a2baeaf7264c4818ca15da6d
Author: freddy77 <freddy77>
Date:   Tue Nov 11 08:40:17 2008 +0000

    fix test for newer Sybase

diff --git a/ChangeLog b/ChangeLog
index b94712d..6ac17f8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Nov 11 09:39:05 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/error.c: fix test for newer Sybase
+
 Tue Nov 11 09:33:55 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/transaction2.c: fix test for Sybase
 
@@ -921,4 +924,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2657 2008/11/11 08:34:07 freddy77 Exp $
+$Id: ChangeLog,v 1.2658 2008/11/11 08:40:17 freddy77 Exp $
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 7bd452d..897903b 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,7 +12,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.51 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.52 2008/11/11 08:40:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -178,9 +178,9 @@ ReportODBCError(const char *errmsg, SQLSMALLINT handletype, SQLHANDLE handle, SQ
 
 	if (errmsg[0]) {
 		if (line)
-			fprintf(stderr, "%s:%d %s\n", file, line, errmsg);
+			fprintf(stderr, "%s:%d rc=%d %s\n", file, line, (int) rc, errmsg);
 		else
-			fprintf(stderr, "%s\n", errmsg);
+			fprintf(stderr, "rc=%d %s\n", (int) rc, errmsg);
 	}
 	ret = SQLGetDiagRec(handletype, handle, 1, sqlstate, NULL, msg, sizeof(msg), NULL);
 	if (ret == SQL_SUCCESS || ret == SQL_SUCCESS_WITH_INFO)
diff --git a/src/odbc/unittests/error.c b/src/odbc/unittests/error.c
index ae85137..d962444 100644
--- a/src/odbc/unittests/error.c
+++ b/src/odbc/unittests/error.c
@@ -2,7 +2,7 @@
 
 /* some tests on error reporting */
 
-static char software_version[] = "$Id: error.c,v 1.7 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: error.c,v 1.8 2008/11/11 08:40:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -32,12 +32,9 @@ main(int argc, char *argv[])
 	Command("insert into #tmp values(7)");
 
 	/* issue our command */
-	if (db_is_microsoft())
-		CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "SE");
-	else
-		CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "E");
+	CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "SE");
 
-	/* special case, Sybase detect error early */
+	/* special case, early Sybase detect error early */
 	if (RetCode != SQL_ERROR) {
 
 		/* TODO when multiple row fetch available test for error on some columns */

